Răsfoiți Sursa

Merge remote-tracking branch 'refs/remotes/origin/master' into travis-test

Daniel Gibbs 10 ani în urmă
părinte
comite
559590825f

+ 0 - 1
Arma3/arma3server

@@ -1,4 +1,3 @@
-
 #!/bin/bash
 #!/bin/bash
 # ARMA 3
 # ARMA 3
 # Server Management Script
 # Server Management Script

+ 2 - 2
functions/fn_backup

@@ -2,7 +2,7 @@
 # LGSM fn_backup function
 # LGSM fn_backup function
 # Author: Daniel Gibbs
 # Author: Daniel Gibbs
 # Website: http://gameservermanagers.com
 # Website: http://gameservermanagers.com
-# Version: 210115
+# Version: 311015
 
 
 # Description: Creates a .tar.gz file in the backup directory.
 # Description: Creates a .tar.gz file in the backup directory.
 
 
@@ -22,7 +22,7 @@ while true; do
 	read -p "Continue? [y/N]" yn
 	read -p "Continue? [y/N]" yn
 	case $yn in
 	case $yn in
 	[Yy]* ) break;;
 	[Yy]* ) break;;
-	[Nn]* ) echo Exiting; return 1;;
+	[Nn]* ) echo Exiting; return;;
 	* ) echo "Please answer yes or no.";;
 	* ) echo "Please answer yes or no.";;
 esac
 esac
 done
 done

+ 2 - 2
functions/fn_check_ip

@@ -2,7 +2,7 @@
 # LGSM fn_check_ip function
 # LGSM fn_check_ip function
 # Author: Daniel Gibbs
 # Author: Daniel Gibbs
 # Website: http://gameservermanagers.com
 # Website: http://gameservermanagers.com
-# Version: 120715
+# Version: 311015
 
 
 # Description: Automatically identifies the server interface IP.
 # Description: Automatically identifies the server interface IP.
 # If multiple interfaces are detected the user will need to manualy set using ip="0.0.0.0".
 # If multiple interfaces are detected the user will need to manualy set using ip="0.0.0.0".
@@ -24,7 +24,7 @@ if [ "${ip}" == "0.0.0.0" ]||[ "${ip}" == "" ]; then
 		echo -en ""
 		echo -en ""
 		echo -en "http://gameservermanagers.com/network-interfaces"
 		echo -en "http://gameservermanagers.com/network-interfaces"
 		echo -en ""
 		echo -en ""
-		exit
+		exit 1
 	else
 	else
 		ip=${getip}
 		ip=${getip}
 	fi
 	fi

+ 2 - 2
functions/fn_check_root

@@ -2,9 +2,9 @@
 # LGSM fn_check_root function
 # LGSM fn_check_root function
 # Author: Daniel Gibbs
 # Author: Daniel Gibbs
 # Website: http://gameservermanagers.com
 # Website: http://gameservermanagers.com
-# Version: 210115
+# Version: 311015
 
 
 if [ $(whoami) = "root" ]; then
 if [ $(whoami) = "root" ]; then
 	fn_printfailnl "Do NOT run this script as root!"
 	fn_printfailnl "Do NOT run this script as root!"
-	exit
+	exit 1
 fi
 fi

+ 2 - 2
functions/fn_check_systemdir

@@ -2,9 +2,9 @@
 # LGSM fn_check_systemdir function
 # LGSM fn_check_systemdir function
 # Author: Daniel Gibbs
 # Author: Daniel Gibbs
 # Website: http://gameservermanagers.com
 # Website: http://gameservermanagers.com
-# Version: 210115
+# Version: 311015
 
 
 if [ ! -e "${systemdir}" ]; then
 if [ ! -e "${systemdir}" ]; then
 	fn_printfailnl "Cannot access ${systemdir}: No such directory"
 	fn_printfailnl "Cannot access ${systemdir}: No such directory"
-	exit
+	exit 1
 fi
 fi

+ 2 - 2
functions/fn_check_tmux

@@ -2,7 +2,7 @@
 # LGSM fn_check_tmux function
 # LGSM fn_check_tmux function
 # Author: Daniel Gibbs
 # Author: Daniel Gibbs
 # Website: http://gameservermanagers.com
 # Website: http://gameservermanagers.com
-# Version: 291015
+# Version: 311015
 
 
 # Checks if tmux is installed as too many users do not RTFM or know how to use Google.
 # Checks if tmux is installed as too many users do not RTFM or know how to use Google.
 
 
@@ -16,5 +16,5 @@ else
 	# Suitable passive agressive message
 	# Suitable passive agressive message
 	echo "	* Please see the the following link."
 	echo "	* Please see the the following link."
 	echo "	* http://gameservermanagers.com/tmux-not-found"
 	echo "	* http://gameservermanagers.com/tmux-not-found"
-	exit
+	exit 127
 fi
 fi

+ 2 - 2
functions/fn_compress_unreal2maps

@@ -2,7 +2,7 @@
 # LGSM fn_compress_unreal2maps function
 # LGSM fn_compress_unreal2maps function
 # Author: Daniel Gibbs
 # Author: Daniel Gibbs
 # Website: http://gameservermanagers.com
 # Website: http://gameservermanagers.com
-# Version: 210115
+# Version: 311015
 
 
 fn_check_root
 fn_check_root
 clear
 clear
@@ -20,7 +20,7 @@ while true; do
 	read -p "Start compression [y/N]" yn
 	read -p "Start compression [y/N]" yn
 	case $yn in
 	case $yn in
 	[Yy]* ) break;;
 	[Yy]* ) break;;
-	[Nn]* ) echo Exiting; return 1;;
+	[Nn]* ) echo Exiting; return;;
 	* ) echo "Please answer yes or no.";;
 	* ) echo "Please answer yes or no.";;
 	esac
 	esac
 done
 done

+ 2 - 2
functions/fn_compress_ut99maps

@@ -2,7 +2,7 @@
 # LGSM fn_compress_ut99maps function
 # LGSM fn_compress_ut99maps function
 # Author: Daniel Gibbs
 # Author: Daniel Gibbs
 # Website: http://gameservermanagers.com
 # Website: http://gameservermanagers.com
-# Version: 210115
+# Version: 311015
 
 
 fn_check_root
 fn_check_root
 clear
 clear
@@ -20,7 +20,7 @@ while true; do
 	read -p "Start compression [y/N]" yn
 	read -p "Start compression [y/N]" yn
 	case $yn in
 	case $yn in
 	[Yy]* ) break;;
 	[Yy]* ) break;;
-	[Nn]* ) echo Exiting; return 1;;
+	[Nn]* ) echo Exiting; return;;
 	* ) echo "Please answer yes or no.";;
 	* ) echo "Please answer yes or no.";;
 	esac
 	esac
 done
 done

+ 2 - 2
functions/fn_console

@@ -2,7 +2,7 @@
 # LGSM fn_console function
 # LGSM fn_console function
 # Author: Daniel Gibbs
 # Author: Daniel Gibbs
 # Website: http://gameservermanagers.com
 # Website: http://gameservermanagers.com
-# Version: 260515
+# Version: 311015
 
 
 # Description: Gives access to the server tmux console.
 # Description: Gives access to the server tmux console.
 
 
@@ -20,7 +20,7 @@ while true; do
 	read -e -i "y" -p "Continue? [y/N]" yn
 	read -e -i "y" -p "Continue? [y/N]" yn
 	case $yn in
 	case $yn in
 	[Yy]* ) break;;
 	[Yy]* ) break;;
-	[Nn]* ) echo Exiting; return 1;;
+	[Nn]* ) echo Exiting; return;;
 	* ) echo "Please answer yes or no.";;
 	* ) echo "Please answer yes or no.";;
 esac
 esac
 done
 done

+ 2 - 2
functions/fn_debug

@@ -2,7 +2,7 @@
 # LGSM fn_debug function
 # LGSM fn_debug function
 # Author: Daniel Gibbs
 # Author: Daniel Gibbs
 # Website: http://gameservermanagers.com
 # Website: http://gameservermanagers.com
-# Version: 160415
+# Version: 311015
 
 
 # Description: Runs the server without tmux. Runs direct from the terminal.
 # Description: Runs the server without tmux. Runs direct from the terminal.
 
 
@@ -37,7 +37,7 @@ while true; do
 	read -p "Continue? [y/N]" yn
 	read -p "Continue? [y/N]" yn
 	case $yn in
 	case $yn in
 	[Yy]* ) break;;
 	[Yy]* ) break;;
-	[Nn]* ) echo Exiting; return 1;;
+	[Nn]* ) echo Exiting; return;;
 	* ) echo "Please answer yes or no.";;
 	* ) echo "Please answer yes or no.";;
 esac
 esac
 done
 done

+ 1 - 7
functions/fn_getopt

@@ -2,7 +2,7 @@
 # LGSM fn_getopt function
 # LGSM fn_getopt function
 # Author: Daniel Gibbs
 # Author: Daniel Gibbs
 # Website: http://gameservermanagers.com
 # Website: http://gameservermanagers.com
-# Version: 200615
+# Version: 311015
 
 
 # Description: getopt arguments.
 # Description: getopt arguments.
 
 
@@ -46,7 +46,6 @@ case "$getopt" in
 		fn_deps_detect;;		
 		fn_deps_detect;;		
 	*)
 	*)
 	echo "Usage: $0 {start|stop|restart|update|force-update|update-functions|validate|monitor|email-test|details|backup|console|debug|install|auto-install}"
 	echo "Usage: $0 {start|stop|restart|update|force-update|update-functions|validate|monitor|email-test|details|backup|console|debug|install|auto-install}"
-	exit 1;;
 esac
 esac
 exit
 exit
 }
 }
@@ -79,7 +78,6 @@ case "$getopt" in
 		fn_deps_detect;;		
 		fn_deps_detect;;		
 	*)
 	*)
 		echo "Usage: $0 {start|stop|restart|update|update-functions|monitor|email-test|details|backup|install|auto-install}"
 		echo "Usage: $0 {start|stop|restart|update|update-functions|monitor|email-test|details|backup|install|auto-install}"
-		exit 1;;
 esac
 esac
 exit
 exit
 }
 }
@@ -108,7 +106,6 @@ case "$getopt" in
 		fn_deps_detect;;		
 		fn_deps_detect;;		
 	*)
 	*)
 		echo "Usage: $0 {start|stop|restart|update-functions|monitor|email-test|backup|console|debug}"
 		echo "Usage: $0 {start|stop|restart|update-functions|monitor|email-test|backup|console|debug}"
-		exit 1;;
 esac
 esac
 exit
 exit
 }
 }
@@ -143,7 +140,6 @@ case "$getopt" in
 		fn_deps_detect;;		
 		fn_deps_detect;;		
 	*)
 	*)
 	echo "Usage: $0 {start|stop|restart|update-functions|monitor|email-test|details|backup|console|debug|install|map-compressor}"
 	echo "Usage: $0 {start|stop|restart|update-functions|monitor|email-test|details|backup|console|debug|install|map-compressor}"
-	exit 1;;
 esac
 esac
 exit
 exit
 }
 }
@@ -191,7 +187,6 @@ case "$getopt" in
 		fn_deps_detect;;		
 		fn_deps_detect;;		
 	*)
 	*)
 	echo "Usage: $0 {start|stop|restart|update|update-functions|validate|monitor|email-test|details|backup|console|debug|install|auto-install|map-compressor}"
 	echo "Usage: $0 {start|stop|restart|update|update-functions|validate|monitor|email-test|details|backup|console|debug|install|auto-install|map-compressor}"
-	exit 1;;
 esac
 esac
 exit
 exit
 }
 }
@@ -227,7 +222,6 @@ case "$getopt" in
 		fn_deps_detect;;		
 		fn_deps_detect;;		
 	*)
 	*)
 	echo "Usage: $0 {start|stop|restart|update-functions|monitor|email-test|details|backup|console|debug|install|map-compressor}"
 	echo "Usage: $0 {start|stop|restart|update-functions|monitor|email-test|details|backup|console|debug|install|map-compressor}"
-	exit 1;;
 esac
 esac
 exit
 exit
 }
 }

+ 5 - 5
functions/fn_install_ts3

@@ -2,7 +2,7 @@
 # LGSM fn_install_ts3 function
 # LGSM fn_install_ts3 function
 # Author: Daniel Gibbs
 # Author: Daniel Gibbs
 # Website: http://gameservermanagers.com
 # Website: http://gameservermanagers.com
-# Version: 301015
+# Version: 311015
 
 
 fn_details_distro
 fn_details_distro
 # Gets the teamspeak server architecture
 # Gets the teamspeak server architecture
@@ -12,7 +12,7 @@ elif [ "${arch}" == "i386" ]||[ "${arch}" == "i686" ]; then
 	ts3arch="x86"
 	ts3arch="x86"
 else
 else
 	fn_printfailure "${arch} is an unsupported architecture"
 	fn_printfailure "${arch} is an unsupported architecture"
-	exit
+	exit 1
 fi
 fi
 
 
 # Grabs all version numbers not in correct order
 # Grabs all version numbers not in correct order
@@ -45,7 +45,7 @@ if [ -z "${availablebuild}" ]; then
 	sleep 1
 	sleep 1
 	fn_printfail "Checking for update: teamspeak.com: Not returning version info"
 	fn_printfail "Checking for update: teamspeak.com: Not returning version info"
 	sleep 2
 	sleep 2
-	exit
+	exit 1
 fi
 fi
 
 
 cd "${rootdir}"
 cd "${rootdir}"
@@ -63,7 +63,7 @@ else
 	sleep 1
 	sleep 1
 	cat ".${servicename}-tar-error.tmp"
 	cat ".${servicename}-tar-error.tmp"
 	rm ".${servicename}-tar-error.tmp"
 	rm ".${servicename}-tar-error.tmp"
-	exit
+	exit $?
 fi
 fi
 echo -e "copying to ${filesdir}...\c"
 echo -e "copying to ${filesdir}...\c"
 cp -R "${rootdir}/teamspeak3-server_linux-${ts3arch}/"* "${filesdir}" 2> ".${servicename}-cp-error.tmp"
 cp -R "${rootdir}/teamspeak3-server_linux-${ts3arch}/"* "${filesdir}" 2> ".${servicename}-cp-error.tmp"
@@ -75,7 +75,7 @@ else
 	sleep 1
 	sleep 1
 	cat ".${servicename}-cp-error.tmp"
 	cat ".${servicename}-cp-error.tmp"
 	rm ".${servicename}-cp-error.tmp"
 	rm ".${servicename}-cp-error.tmp"
-	exit
+	exit $?
 fi
 fi
 rm -f teamspeak3-server_linux-${ts3arch}-${availablebuild}.tar.gz
 rm -f teamspeak3-server_linux-${ts3arch}-${availablebuild}.tar.gz
 rm -rf "${rootdir}/teamspeak3-server_linux-${ts3arch}"
 rm -rf "${rootdir}/teamspeak3-server_linux-${ts3arch}"

+ 4 - 4
functions/fn_monitor

@@ -2,7 +2,7 @@
 # LGSM fn_monitor function
 # LGSM fn_monitor function
 # Author: Daniel Gibbs
 # Author: Daniel Gibbs
 # Website: http://gameservermanagers.com
 # Website: http://gameservermanagers.com
-# Version: 150815
+# Version: 311015
 
 
 # Description: Monitors server by checking for running proccesses
 # Description: Monitors server by checking for running proccesses
 # then passes to fn_monitor_query.
 # then passes to fn_monitor_query.
@@ -22,7 +22,7 @@ if [ ! -f "${rootdir}/${lockselfname}" ]; then
 	sleep 1
 	sleep 1
 	echo -en "\n"
 	echo -en "\n"
 	echo "To enable monitor run ./${selfname} start"
 	echo "To enable monitor run ./${selfname} start"
-	exit
+	exit 1
 fi
 fi
 fn_printdots "Checking session: CHECKING"
 fn_printdots "Checking session: CHECKING"
 fn_scriptlog "Checking session: CHECKING"
 fn_scriptlog "Checking session: CHECKING"
@@ -67,7 +67,7 @@ if [ ! -f "${rootdir}/${lockselfname}" ]; then
 	sleep 1
 	sleep 1
 	echo -en "\n"
 	echo -en "\n"
 	echo "To enable monitor run ./${selfname} start"
 	echo "To enable monitor run ./${selfname} start"
-	exit
+	exit 1
 fi
 fi
 
 
 updatecheck=$(ps -ef|grep "${selfname} update"|grep -v grep|wc -l)
 updatecheck=$(ps -ef|grep "${selfname} update"|grep -v grep|wc -l)
@@ -85,7 +85,7 @@ if [ "${updatecheck}" = "0" ]||[ "${gamename}" == "Unreal Tournament 99" ]||[ "$
 		if [ "${engine}" == "avalanche" ]||[ "${engine}" == "goldsource" ]||[ "${engine}" == "realvirtuality" ]||[ "${engine}" == "source" ]||[ "${engine}" == "spark" ]||[ "${engine}" == "unity3d" ]||[ "${engine}" == "unreal" ]||[ "${engine}" == "unreal2" ]; then
 		if [ "${engine}" == "avalanche" ]||[ "${engine}" == "goldsource" ]||[ "${engine}" == "realvirtuality" ]||[ "${engine}" == "source" ]||[ "${engine}" == "spark" ]||[ "${engine}" == "unity3d" ]||[ "${engine}" == "unreal" ]||[ "${engine}" == "unreal2" ]; then
 			fn_monitor_query
 			fn_monitor_query
 		fi
 		fi
-		exit
+		exit $?
 	else
 	else
 		fn_printfail "Checking session: FAIL"
 		fn_printfail "Checking session: FAIL"
 		fn_scriptlog "Checking session: FAIL"
 		fn_scriptlog "Checking session: FAIL"

+ 4 - 4
functions/fn_monitor_query

@@ -2,7 +2,7 @@
 # LGSM fn_monitor_query function
 # LGSM fn_monitor_query function
 # Author: Daniel Gibbs
 # Author: Daniel Gibbs
 # Website: http://gameservermanagers.com
 # Website: http://gameservermanagers.com
-# Version: 301015
+# Version: 311015
 
 
 # Description: uses gsquery.py to directly query the server.
 # Description: uses gsquery.py to directly query the server.
 # Detects if the server has frozen.
 # Detects if the server has frozen.
@@ -56,7 +56,7 @@ if [ -f "${rootdir}/gsquery.py" ]; then
 			fn_email
 			fn_email
 		fi
 		fi
 		fn_restart
 		fn_restart
-		exit
+		exit 1
 	elif [ "${exitcode}" == "0" ]; then
 	elif [ "${exitcode}" == "0" ]; then
 		fn_printok "Querying port: ${ip}:${port} : OK"
 		fn_printok "Querying port: ${ip}:${port} : OK"
 		fn_scriptlog "Querying port: ${ip}:${port} : OK"
 		fn_scriptlog "Querying port: ${ip}:${port} : OK"
@@ -79,7 +79,7 @@ if [ -f "${rootdir}/gsquery.py" ]; then
 			echo "As user ${owner} or root run the following command."
 			echo "As user ${owner} or root run the following command."
 			whoami=$(whoami)
 			whoami=$(whoami)
 			echo -en "\nchown ${whoami}:${whoami} ${rootdir}/gsquery.py\n\n"
 			echo -en "\nchown ${whoami}:${whoami} ${rootdir}/gsquery.py\n\n"
-		exit
+		exit 1
 		fi
 		fi
 	else
 	else
 		fn_printfail "Querying port: ${ip}:${port} : UNKNOWN ERROR"
 		fn_printfail "Querying port: ${ip}:${port} : UNKNOWN ERROR"
@@ -87,7 +87,7 @@ if [ -f "${rootdir}/gsquery.py" ]; then
 		sleep 1
 		sleep 1
 		echo -en "\n"
 		echo -en "\n"
 		${rootdir}/gsquery.py -a ${ip} -p ${port} -e ${engine}
 		${rootdir}/gsquery.py -a ${ip} -p ${port} -e ${engine}
-		exit
+		exit 1
 	fi
 	fi
 else
 else
 	fn_printfailnl "Could not find ${rootdir}/gsquery.py"
 	fn_printfailnl "Could not find ${rootdir}/gsquery.py"

+ 6 - 6
functions/fn_update_check

@@ -2,7 +2,7 @@
 # LGSM fn_update_check function
 # LGSM fn_update_check function
 # Author: Daniel Gibbs
 # Author: Daniel Gibbs
 # Website: http://gameservermanagers.com
 # Website: http://gameservermanagers.com
-# Version: 301015
+# Version: 311015
 
 
 # Description: Checks if a server update is available.
 # Description: Checks if a server update is available.
 
 
@@ -40,7 +40,7 @@ if [ "${appmanifestfilewc}" -ge "2" ]; then
 		for appfile in ${appmanifestfile}; do
 		for appfile in ${appmanifestfile}; do
 			echo "	${appfile}"
 			echo "	${appfile}"
 		done
 		done
-		exit
+		exit 1
 	else
 	else
 		sleep 1
 		sleep 1
 		fn_printok "Removed x${appmanifestfilewc1} appmanifest_${appid}.acf files"
 		fn_printok "Removed x${appmanifestfilewc1} appmanifest_${appid}.acf files"
@@ -56,7 +56,7 @@ elif [ "${appmanifestfilewc}" -eq "0" ]; then
 	if [ "${forceupdate}" -eq "1" ]; then
 	if [ "${forceupdate}" -eq "1" ]; then
 		fn_printfail "Still no appmanifest_${appid}.acf found: Unable to update"
 		fn_printfail "Still no appmanifest_${appid}.acf found: Unable to update"
 		fn_scriptlog "Warning! Still no appmanifest_${appid}.acf found: Unable to update"
 		fn_scriptlog "Warning! Still no appmanifest_${appid}.acf found: Unable to update"
-		exit
+		exit 1
 	fi
 	fi
 	forceupdate=1
 	forceupdate=1
 	fn_printwarn "No appmanifest_${appid}.acf found"
 	fn_printwarn "No appmanifest_${appid}.acf found"
@@ -128,7 +128,7 @@ if [ -z "${availablebuild}" ]; then
 	sleep 1
 	sleep 1
 	fn_printfailnl "Checking for update: SteamCMD: Not returning version info"
 	fn_printfailnl "Checking for update: SteamCMD: Not returning version info"
 	fn_scriptlog "Failure! Checking for update: SteamCMD: Not returning version info"
 	fn_scriptlog "Failure! Checking for update: SteamCMD: Not returning version info"
-	exit
+	exit 1
 else
 else
 	fn_printok "Checking for update: SteamCMD"
 	fn_printok "Checking for update: SteamCMD"
 	fn_scriptlog "Success! Checking for update: SteamCMD"
 	fn_scriptlog "Success! Checking for update: SteamCMD"
@@ -205,7 +205,7 @@ if [ -z "$(find ./* -name 'ts3server*_0.log')" ]; then
 	if [ -z "$(find ./* -name 'ts3server*_0.log')" ]; then
 	if [ -z "$(find ./* -name 'ts3server*_0.log')" ]; then
 		fn_printfailnl "Checking for update: teamspeak.com: Still No logs with server version found"
 		fn_printfailnl "Checking for update: teamspeak.com: Still No logs with server version found"
 		fn_scriptlog "Failure! Checking for update: teamspeak.com: Still No logs with server version found"
 		fn_scriptlog "Failure! Checking for update: teamspeak.com: Still No logs with server version found"
-		exit
+		exit 1
 	fi
 	fi
 fi
 fi
 currentbuild=$(cat $(find ./* -name 'ts3server*_0.log' 2> /dev/null | sort | egrep -E -v '${rootdir}/.ts3version' | tail -1) | egrep -o 'TeamSpeak 3 Server ((\.)?[0-9]{1,3}){1,3}\.[0-9]{1,3}' | egrep -o '((\.)?[0-9]{1,3}){1,3}\.[0-9]{1,3}')
 currentbuild=$(cat $(find ./* -name 'ts3server*_0.log' 2> /dev/null | sort | egrep -E -v '${rootdir}/.ts3version' | tail -1) | egrep -o 'TeamSpeak 3 Server ((\.)?[0-9]{1,3}){1,3}\.[0-9]{1,3}' | egrep -o '((\.)?[0-9]{1,3}){1,3}\.[0-9]{1,3}')
@@ -245,7 +245,7 @@ if [ -z "${availablebuild}" ]; then
 	fn_printfail "Checking for update: teamspeak.com: Not returning version info"
 	fn_printfail "Checking for update: teamspeak.com: Not returning version info"
 	fn_scriptlog "Failure! Checking for update: teamspeak.com: Not returning version info"
 	fn_scriptlog "Failure! Checking for update: teamspeak.com: Not returning version info"
 	sleep 2
 	sleep 2
-	exit
+	exit 1
 else
 else
 	fn_printok "Checking for update: teamspeak.com"
 	fn_printok "Checking for update: teamspeak.com"
 	fn_scriptlog "Success! Checking for update: teamspeak.com"
 	fn_scriptlog "Success! Checking for update: teamspeak.com"

+ 3 - 3
functions/fn_update_dl

@@ -2,7 +2,7 @@
 # LGSM fn_update_dl function
 # LGSM fn_update_dl function
 # Author: Daniel Gibbs
 # Author: Daniel Gibbs
 # Website: http://gameservermanagers.com
 # Website: http://gameservermanagers.com
-# Version: 040715
+# Version: 311015
 
 
 # Description: Runs a server update.
 # Description: Runs a server update.
 
 
@@ -66,7 +66,7 @@ else
 	cat "${scriptlogdir}/.${servicename}-tar-error.tmp" >> "${scriptlog}"
 	cat "${scriptlogdir}/.${servicename}-tar-error.tmp" >> "${scriptlog}"
 	rm "${scriptlogdir}/.${servicename}-tar-error.tmp"
 	rm "${scriptlogdir}/.${servicename}-tar-error.tmp"
 	fn_scriptlog "Failure! Unable to update"
 	fn_scriptlog "Failure! Unable to update"
-	exit
+	exit ${status}
 fi
 fi
 echo -e "copying to ${filesdir}...\c"
 echo -e "copying to ${filesdir}...\c"
 fn_scriptlog "Copying to ${filesdir}"
 fn_scriptlog "Copying to ${filesdir}"
@@ -82,7 +82,7 @@ else
 	cat "${scriptlogdir}/.${servicename}-cp-error.tmp" >> "${scriptlog}"
 	cat "${scriptlogdir}/.${servicename}-cp-error.tmp" >> "${scriptlog}"
 	rm "${scriptlogdir}/.${servicename}-cp-error.tmp"
 	rm "${scriptlogdir}/.${servicename}-cp-error.tmp"
 	fn_scriptlog "Failure! Unable to update"
 	fn_scriptlog "Failure! Unable to update"
-	exit
+	exit ${status}
 fi
 fi
 rm -f teamspeak3-server_linux-${ts3arch}-${availablebuild}.tar.gz
 rm -f teamspeak3-server_linux-${ts3arch}-${availablebuild}.tar.gz
 rm -rf "${rootdir}/teamspeak3-server_linux-${ts3arch}"
 rm -rf "${rootdir}/teamspeak3-server_linux-${ts3arch}"